OS Reload Templates
List Templates
GET /pxe/template
List of OS Templates
Response 200: List of OS Templates
| Field | Type | Description |
|---|---|---|
body |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso_id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Create Template
POST /pxe/template
Add new Template
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
name |
string | yes |
Response 200: A Template
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso_id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
name |
string | yes |
Response 422: Unprocessable Entity
Delete Template
DELETE /pxe/template/{template_id}
Delete an OS Reload Template
Response 200: OS Reload Template deleted successfully
Response 404: Item not Found
View Template
GET /pxe/template/{template_id}
An OS Reload Template
Response 200: An OS Reload Template
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso_id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Edit Template
PATCH /pxe/template/{template_id}
Edit OS Reload Template
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
name |
string |
Response 200: An OS Reload Template
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso_id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
name |
string |
Response 422: Unprocessable Entity